Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.xml
Class JaxbProcessInstanceLog

    java.lang.Object
      org.jbpm.process.audit.xml.AbstractJaxbHistoryObject<ProcessInstanceLog>
          org.jbpm.process.audit.xml.JaxbProcessInstanceLog

    public class JaxbProcessInstanceLog

extends AbstractJaxbHistoryObject<ProcessInstanceLog>

Field Summary

Fields inherited from class org.jbpm.process.audit.xml.AbstractJaxbHistoryObject
`realClass`

Constructor Summary
`JaxbProcessInstanceLog()`
`JaxbProcessInstanceLog(ProcessInstanceLog processInstanceLog)`

Method Summary
`Long` | `getDuration()`
`Date` | `getEnd()`
`String` | `getExternalId()`
`Long` | `getId()`
`String` | `getIdentity()`
`String` | `getOutcome()`
`Long` | `getParentProcessInstanceId()`
`String` | `getProcessId()`
`Long` | `getProcessInstanceId()`
`String` | `getProcessName()`
`String` | `getProcessVersion()`
`Date` | `getStart()`
`Integer` | `getStatus()`

Methods inherited from class org.jbpm.process.audit.xml.AbstractJaxbHistoryObject
`createEntityInstance, readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbProcessInstanceLog

    public JaxbProcessInstanceLog()

### JaxbProcessInstanceLog

    public JaxbProcessInstanceLog(ProcessInstanceLog processInstanceLog)

Method Detail

### getId

    public Long getId()

### getProcessInstanceId

    public Long getProcessInstanceId()

### getProcessId

    public String getProcessId()

### getStart

    public Date getStart()

### getEnd

    public Date getEnd()

### getStatus

    public Integer getStatus()

### getParentProcessInstanceId

    public Long getParentProcessInstanceId()

### getOutcome

    public String getOutcome()

### getDuration

    public Long getDuration()

### getIdentity

    public String getIdentity()

### getProcessVersion

    public String getProcessVersion()

### getProcessName

    public String getProcessName()

### getExternalId

    public String getExternalId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.